Package com.google.gwt.user.client.ui

## Class FlexTable.FlexCellFormatter

- java.lang.Object
- - com.google.gwt.user.client.ui.HTMLTable.CellFormatter
  - - com.google.gwt.user.client.ui.FlexTable.FlexCellFormatter

- Enclosing class:
    FlexTable

      public class FlexTable.FlexCellFormatter
      extends HTMLTable.CellFormatter

  FlexTable-specific implementation of `HTMLTable.CellFormatter`. The formatter retrieved from `HTMLTable.getCellFormatter()` may be cast to this class.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FlexCellFormatter()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getColSpan​(int row, int column)` | Gets the column span for the given cell.
    `int` | `getRowSpan​(int row, int column)` | Gets the row span for the given cell.
    `void` | `setColSpan​(int row, int column, int colSpan)` | Sets the column span for the given cell.
    `void` | `setRowSpan​(int row, int column, int rowSpan)` | Sets the row span for the given cell.

    - ### Methods inherited from class com.google.gwt.user.client.ui.HTMLTable.CellFormatter

      `addStyleName, ensureElement, getAttr, getElement, getStyleName, getStylePrimaryName, isVisible, removeStyleName, setAlignment, setAttr, setHeight, setHorizontalAlignment, setStyleName, setStylePrimaryName, setVerticalAlignment, setVisible, setWidth, setWordWrap`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FlexCellFormatter

          public FlexCellFormatter()

  - ### Method Detail

    - #### getColSpan

          public int getColSpan​(int row,
                                int column)

      Gets the column span for the given cell. This is the number of logical columns covered by the cell.
      Parameters:
        `row` - the cell's row
        `column` - the cell's column
      Returns:
        the cell's column span
      Throws:
        `java.lang.IndexOutOfBoundsException`

    - #### getRowSpan

          public int getRowSpan​(int row,
                                int column)

      Gets the row span for the given cell. This is the number of logical rows covered by the cell.
      Parameters:
        `row` - the cell's row
        `column` - the cell's column
      Returns:
        the cell's row span
      Throws:
        `java.lang.IndexOutOfBoundsException`

    - #### setColSpan

          public void setColSpan​(int row,
                                 int column,
                                 int colSpan)

      Sets the column span for the given cell. This is the number of logical columns covered by the cell.
      Parameters:
        `row` - the cell's row
        `column` - the cell's column
        `colSpan` - the cell's column span
      Throws:
        `java.lang.IndexOutOfBoundsException`

    - #### setRowSpan

          public void setRowSpan​(int row,
                                 int column,
                                 int rowSpan)

      Sets the row span for the given cell. This is the number of logical rows covered by the cell.
      Parameters:
        `row` - the cell's row
        `column` - the cell's column
        `rowSpan` - the cell's row span
      Throws:
        `java.lang.IndexOutOfBoundsException`